Bug 362817 - Kontact crash on open addressbook from the email window
Summary: Kontact crash on open addressbook from the email window
Status: RESOLVED WORKSFORME
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: 5.5.0
Platform: OpenSUSE Linux
: NOR crash with 5 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: drkonqi
: 356116 361631 371759 373729 377061 377079 378329 378880 380481 382804 383106 384480 384693 385123 385197 387152 388117 396884 (view as bug list)
Depends on:
Blocks:
 
Reported: 2016-05-08 13:47 UTC by Johann-Nikolaus Andreae
Modified: 2021-01-09 16:17 UTC (History)
18 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johann-Nikolaus Andreae 2016-05-08 13:47:24 UTC
Application: kontact (5.1.3)

Qt Version: 5.5.1
Frameworks Version: 5.21.0
Operating System: Linux 4.5.2-1-default x86_64
Distribution: "openSUSE Tumbleweed (20160504) (x86_64)"

-- Information about the crash:
What I was doing when the application crashed:
- Open a new mail
- Enter Subject
- Switch to the Addressbook
- Add a new Entry
- Switch back to the E-Mail
- Click on Select behind the to field
- The Addressbook windows open
- then Kontact crash

The crash can be reproduced sometimes.

-- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fac3de5f900 (LWP 6268))]

Thread 30 (Thread 0x7fac1f8c5700 (LWP 6269)):
#0  0x00007fac3aacf07d in poll () from /lib64/libc.so.6
#1  0x00007fac342433f2 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007fac34244fc7 in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007fac21a14dd9 in QXcbEventReader::run (this=0xbac550) at qxcbconnection.cpp:1229
#4  0x00007fac3b3d391f in QThreadPrivate::start (arg=0xbac550) at thread/qthread_unix.cpp:331
#5  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#6  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 29 (Thread 0x7fac1c953700 (LWP 6270)):
#0  0x00007fac33e2503f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fac3866e68b in ?? () from /usr/lib64/libQt5WebKit.so.5
#2  0x00007fac3866e6c9 in ?? () from /usr/lib64/libQt5WebKit.so.5
#3  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 28 (Thread 0x7fabd3715700 (LWP 6271)):
#0  0x00007fac335faa1f in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fac335fb293 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fabcc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fabd3714cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007fac3b3d391f in QThreadPrivate::start (arg=0xcd55b0) at thread/qthread_unix.cpp:331
#7  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 27 (Thread 0x7fabd0cba700 (LWP 6272)):
#0  0x00007fac33e2503f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fac3837d014 in ?? () from /usr/lib64/libQt5WebKit.so.5
#2  0x00007fac3869d521 in ?? () from /usr/lib64/libQt5WebKit.so.5
#3  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 26 (Thread 0x7fabcbfff700 (LWP 6273)):
#0  0x00007fac33e2503f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fac3837e043 in ?? () from /usr/lib64/libQt5WebKit.so.5
#2  0x00007fac3869d521 in ?? () from /usr/lib64/libQt5WebKit.so.5
#3  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 25 (Thread 0x7fabcb7fe700 (LWP 6274)):
#0  0x00007fac33e2503f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fac3837e043 in ?? () from /usr/lib64/libQt5WebKit.so.5
#2  0x00007fac3869d521 in ?? () from /usr/lib64/libQt5WebKit.so.5
#3  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 24 (Thread 0x7fabcaffd700 (LWP 6275)):
#0  0x00007fac33e2503f in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fac3837e043 in ?? () from /usr/lib64/libQt5WebKit.so.5
#2  0x00007fac3869d521 in ?? () from /usr/lib64/libQt5WebKit.so.5
#3  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#4  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 23 (Thread 0x7fabb1c1c700 (LWP 6276)):
#0  0x00007fac3363e6c4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fac335fac49 in g_main_context_query () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb2df in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fabac0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fabb1c1bcd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x11406d0) at thread/qthread_unix.cpp:331
#8  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 22 (Thread 0x7fabb141b700 (LWP 6278)):
#0  0x00007fac33e25fe3 in pthread_getspecific () from /lib64/libpthread.so.0
#1  0x00007fac33621570 in g_thread_self () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fa3bc in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac335fb235 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7faba40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#6  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fabb141acd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#7  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#8  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x1156a10) at thread/qthread_unix.cpp:331
#9  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 21 (Thread 0x7fabb0c1a700 (LWP 6280)):
#0  0x00007fac335fa980 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fac335fb293 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7faba80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fabb0c19cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007fac3b3d391f in QThreadPrivate::start (arg=0xc22360) at thread/qthread_unix.cpp:331
#7  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 20 (Thread 0x7faba3fff700 (LWP 6282)):
#0  0x00007fac3aacf07d in poll () from /lib64/libc.so.6
#1  0x00007fac335fb364 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab9c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7faba3ffecd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x1182760) at thread/qthread_unix.cpp:331
#7  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 19 (Thread 0x7faba37fe700 (LWP 6284)):
#0  0x00007fac3aacb039 in read () from /lib64/libc.so.6
#1  0x00007fac3363d400 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fae94 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac335fb308 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab940008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#6  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7faba37fdcd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#7  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#8  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x1218f50) at thread/qthread_unix.cpp:331
#9  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7faba2ffd700 (LWP 6286)):
#0  0x00007fac3aacb04d in read () from /lib64/libc.so.6
#1  0x00007fac3363d400 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fae94 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac335fb308 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab980008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#6  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7faba2ffccd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#7  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#8  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x1254b20) at thread/qthread_unix.cpp:331
#9  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7faba16f9700 (LWP 6288)):
#0  0x00007fac3b3cc0df in QBasicAtomicOps<8>::testAndSetRelaxed<QMutexData*> (currentValue=<synthetic pointer>, newValue=0x0, expectedValue=0x1, _q_value=@0x1792c08: 0x0) at ../../src/corelib/arch/qatomic_x86.h:259
#1  QGenericAtomicOps<QBasicAtomicOps<8> >::testAndSetRelease<QMutexData*, QMutexData*> (currentValue=<synthetic pointer>, newValue=0x0, expectedValue=<optimized out>, _q_value=@0x1792c08: 0x0) at ../../src/corelib/thread/qgenericatomic.h:175
#2  QBasicAtomicPointer<QMutexData>::testAndSetRelease (currentValue=<synthetic pointer>, newValue=0x0, expectedValue=<optimized out>, this=this@entry=0x1792c08) at ../../src/corelib/thread/qbasicatomic.h:280
#3  QBasicMutex::fastTryUnlock (current=<synthetic pointer>, this=this@entry=0x1792c08) at thread/qmutex.h:85
#4  QMutex::unlock (this=this@entry=0x1792c08) at thread/qmutex.cpp:264
#5  0x00007fac3b5f7ca5 in QMutexLocker::unlock (this=<synthetic pointer>) at ../../src/corelib/thread/qmutex.h:138
#6  QMutexLocker::~QMutexLocker (this=<synthetic pointer>, __in_chrg=<optimized out>) at ../../src/corelib/thread/qmutex.h:132
#7  QThreadData::canWaitLocked (this=<optimized out>) at ../../src/corelib/thread/qthread_p.h:240
#8  postEventSourcePrepare (timeout=<synthetic pointer>, s=0x7fab8c0012d0) at kernel/qeventdispatcher_glib.cpp:254
#9  postEventSourceCheck (source=0x7fab8c0012d0) at kernel/qeventdispatcher_glib.cpp:264
#10 0x00007fac335fade1 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#11 0x00007fac335fb308 in ?? () from /usr/lib64/libglib-2.0.so.0
#12 0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#13 0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab8c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#14 0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7faba16f8cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#15 0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#16 0x00007fac3b3d391f in QThreadPrivate::start (arg=0x12551a0) at thread/qthread_unix.cpp:331
#17 0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#18 0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7faba0ef8700 (LWP 6290)):
#0  0x00007fac3363e6c0 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fac335faa10 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb293 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab900008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7faba0ef7cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x17a1270) at thread/qthread_unix.cpp:331
#8  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fab8bfff700 (LWP 6292)):
#0  0x00007fac3363e6c4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fac335fad86 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb308 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab840008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab8bffecd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x17aeb80) at thread/qthread_unix.cpp:331
#8  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fab8add8700 (LWP 6294)):
#0  0x00007fac335f8560 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fac335fad2a in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb308 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab7c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab8add7cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x195cc90) at thread/qthread_unix.cpp:331
#8  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fab8a5d7700 (LWP 6296)):
#0  0x00007fac3aacb04d in read () from /lib64/libc.so.6
#1  0x00007fac3363d400 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fae94 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac335fb308 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab800008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#6  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab8a5d6cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#7  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#8  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x1997f10) at thread/qthread_unix.cpp:331
#9  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fab798d9700 (LWP 6310)):
#0  0x00007fac3aae40ef in __libc_enable_asynccancel () from /lib64/libc.so.6
#1  0x00007fac3aacb042 in read () from /lib64/libc.so.6
#2  0x00007fac3363d400 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac335fae94 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fac335fb308 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#6  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab740008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#7  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab798d8cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#8  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#9  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x1c71000) at thread/qthread_unix.cpp:331
#10 0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#11 0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fab7264e700 (LWP 6325)):
#0  0x00007fac3363e6a9 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fac335fadec in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb308 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab600008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab7264dcd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x43e7f70) at thread/qthread_unix.cpp:331
#8  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fab71a4c700 (LWP 6329)):
#0  0x00007fac3aacf07d in poll () from /lib64/libc.so.6
#1  0x00007fac335fb364 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab640008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab71a4bcd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x1c3bfa0) at thread/qthread_unix.cpp:331
#7  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fab5f6a1700 (LWP 6334)):
#0  0x00007fac335fad1f in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fac335fb308 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab580008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab5f6a0cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x1160450) at thread/qthread_unix.cpp:331
#7  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fab73fff700 (LWP 13230)):
#0  0x00007fac3363e6c4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fac335fadd9 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb308 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab68002eb0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab73ffecd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007fac3b3d391f in QThreadPrivate::start (arg=0xa378750) at thread/qthread_unix.cpp:331
#8  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fab790d8700 (LWP 13232)):
#0  0x00007fac3363e6a9 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fac335fb34a in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab6c003230, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab790d7cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x33bbab0) at thread/qthread_unix.cpp:331
#7  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fab5d8b2700 (LWP 13234)):
#0  0x00007fac3aacf07d in poll () from /lib64/libc.so.6
#1  0x00007fac335fb364 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab500008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab5d8b1cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007fac3b3d391f in QThreadPrivate::start (arg=0xa4504a0) at thread/qthread_unix.cpp:331
#7  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fab5d0b1700 (LWP 13236)):
#0  0x00007fac3aacb04d in read () from /lib64/libc.so.6
#1  0x00007fac3363d400 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fae94 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac335fb308 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab540008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#6  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab5d0b0cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#7  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#8  0x00007fac3b3d391f in QThreadPrivate::start (arg=0xa4411e0) at thread/qthread_unix.cpp:331
#9  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#10 0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fab5c8b0700 (LWP 13238)):
#0  0x00007fac3363e6c4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fac335fa43e in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb235 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab480008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab5c8afcd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#7  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x4494b60) at thread/qthread_unix.cpp:331
#8  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#9  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fab4fdf9700 (LWP 16347)):
#0  0x00007fac335fb21c in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab440113e0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#3  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab4fdf8cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#4  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#5  0x00007fac3b3d391f in QThreadPrivate::start (arg=0xc24dd50) at thread/qthread_unix.cpp:331
#6  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#7  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fab4e9a4700 (LWP 16349)):
#0  0x00007fac335fa980 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fac335fb293 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fac3b5f840b in QEventDispatcherGlib::processEvents (this=0x7fab40127040, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fab4e9a3cd0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fac3b3ceadc in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#6  0x00007fac3b3d391f in QThreadPrivate::start (arg=0x3f27620) at thread/qthread_unix.cpp:331
#7  0x00007fac33e1f424 in start_thread () from /lib64/libpthread.so.0
#8  0x00007fac3aad7add in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fac3de5f900 (LWP 6268)):
[KCrash Handler]
#6  QSortFilterProxyModelPrivate::index_to_iterator (this=0x42f1d70, proxy_index=...) at itemmodels/qsortfilterproxymodel.cpp:185
#7  QSortFilterProxyModelPrivate::proxy_to_source (proxy_index=..., this=0x42f1d70) at itemmodels/qsortfilterproxymodel.cpp:376
#8  QSortFilterProxyModel::mapToSource (proxyIndex=..., this=0x4ea3820) at itemmodels/qsortfilterproxymodel.cpp:2721
#9  QSortFilterProxyModelPrivate::store_persistent_indexes (this=this@entry=0x42f1d70) at itemmodels/qsortfilterproxymodel.cpp:1016
#10 0x00007fac3b575d25 in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=<optimized out>, source_top_left=..., source_bottom_right=..., roles=...) at itemmodels/qsortfilterproxymodel.cpp:1200
#11 0x00007fac3b577658 in QSortFilterProxyModel::qt_static_metacall (_o=_o@entry=0x4ea3820, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=5, _a=_a@entry=0x7fff10158f70) at .moc/moc_qsortfilterproxymodel.cpp:202
#12 0x00007fac3b5d1e3a in QMetaObject::activate (sender=sender@entry=0xa933030, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff10158f70) at kernel/qobject.cpp:3713
#13 0x00007fac3b5d2637 in QMetaObject::activate (sender=sender@entry=0xa933030, m=m@entry=0x7fac3b9e7f40 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff10158f70) at kernel/qobject.cpp:3578
#14 0x00007fac3b64a0fc in QAbstractItemModel::dataChanged (this=this@entry=0xa933030, _t1=..., _t2=..., _t3=...) at .moc/moc_qabstractitemmodel.cpp:548
#15 0x00007fac3b575f31 in QSortFilterProxyModelPrivate::_q_sourceDataChanged (this=<optimized out>, source_top_left=..., source_bottom_right=..., roles=...) at itemmodels/qsortfilterproxymodel.cpp:1233
#16 0x00007fac3b577658 in QSortFilterProxyModel::qt_static_metacall (_o=_o@entry=0xa933030, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=5, _a=_a@entry=0x7fff10159270) at .moc/moc_qsortfilterproxymodel.cpp:202
#17 0x00007fac3b5d1e3a in QMetaObject::activate (sender=sender@entry=0xb61eab0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff10159270) at kernel/qobject.cpp:3713
#18 0x00007fac3b5d2637 in QMetaObject::activate (sender=sender@entry=0xb61eab0, m=m@entry=0x7fac3b9e7f40 <QAbstractItemModel::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fff10159270) at kernel/qobject.cpp:3578
#19 0x00007fac3b64a0fc in QAbstractItemModel::dataChanged (this=this@entry=0xb61eab0, _t1=..., _t2=..., _t3=...) at .moc/moc_qabstractitemmodel.cpp:548
#20 0x00007fac3a11c3df in Akonadi::EntityTreeModelPrivate::dataChanged (this=this@entry=0xc1fe020, top=..., bottom=...) at /usr/src/debug/kdepimlibs-15.12.3/akonadi/src/core/models/entitytreemodel_p.cpp:1700
#21 0x00007fac3a125ab3 in Akonadi::EntityTreeModelPrivate::monitoredCollectionChanged (this=0xc1fe020, collection=...) at /usr/src/debug/kdepimlibs-15.12.3/akonadi/src/core/models/entitytreemodel_p.cpp:1017
#22 0x00007fac3b5d1e3a in QMetaObject::activate (sender=0xc1ff1a0, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=14, argv=argv@entry=0x7fff10159490) at kernel/qobject.cpp:3713
#23 0x00007fac3b5d2637 in QMetaObject::activate (sender=<optimized out>, m=m@entry=0x7fac3a3bac60 <Akonadi::Monitor::staticMetaObject>, local_signal_index=local_signal_index@entry=14, argv=argv@entry=0x7fff10159490) at kernel/qobject.cpp:3578
#24 0x00007fac3a0725d5 in Akonadi::Monitor::collectionChanged (this=<optimized out>, _t1=...) at /usr/src/debug/kdepimlibs-15.12.3/build/akonadi/src/core/moc_monitor.cpp:893
#25 0x00007fac3a078044 in Akonadi::MonitorPrivate::emitCollectionNotification (this=this@entry=0x1876db0, msg=..., col=..., par=..., dest=...) at /usr/src/debug/kdepimlibs-15.12.3/akonadi/src/core/monitor_p.cpp:1057
#26 0x00007fac3a07f9c0 in Akonadi::MonitorPrivate::emitNotification (this=this@entry=0x1876db0, msg=...) at /usr/src/debug/kdepimlibs-15.12.3/akonadi/src/core/monitor_p.cpp:578
#27 0x00007fac3a03875e in Akonadi::ChangeRecorderPrivate::emitNotification (this=0x1876db0, msg=...) at /usr/src/debug/kdepimlibs-15.12.3/akonadi/src/core/changerecorder_p.cpp:498
#28 0x00007fac3a07a5e4 in Akonadi::MonitorPrivate::flushPipeline (this=this@entry=0x1876db0) at /usr/src/debug/kdepimlibs-15.12.3/akonadi/src/core/monitor_p.cpp:797
#29 0x00007fac3a07a7f9 in Akonadi::MonitorPrivate::dataAvailable (this=0x1876db0) at /usr/src/debug/kdepimlibs-15.12.3/akonadi/src/core/monitor_p.cpp:806
#30 0x00007fac3b5d1e3a in QMetaObject::activate (sender=sender@entry=0xa6c6f30, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3713
#31 0x00007fac3b5d2637 in QMetaObject::activate (sender=sender@entry=0xa6c6f30, m=m@entry=0x7fac3a3ba500 <Akonadi::EntityCacheBase::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3578
#32 0x00007fac3a056960 in Akonadi::EntityCacheBase::dataAvailable (this=this@entry=0xa6c6f30) at /usr/src/debug/kdepimlibs-15.12.3/build/akonadi/src/core/moc_entitycache_p.cpp:145
#33 0x00007fac3a02ffbf in Akonadi::EntityCache<Akonadi::Collection, Akonadi::CollectionFetchJob, Akonadi::CollectionFetchScope>::processResult (this=0xa6c6f30, job=<optimized out>) at /usr/src/debug/kdepimlibs-15.12.3/akonadi/src/core/entitycache_p.h:215
#34 0x00007fac3a056984 in Akonadi::EntityCacheBase::qt_static_metacall (_o=_o@entry=0xa6c6f30, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=_id@entry=1, _a=_a@entry=0x7fff10159a10) at /usr/src/debug/kdepimlibs-15.12.3/build/akonadi/src/core/moc_entitycache_p.cpp:80
#35 0x00007fac3b5d1e3a in QMetaObject::activate (sender=sender@entry=0xbf7fb00, signalOffset=<optimized out>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff10159a10) at kernel/qobject.cpp:3713
#36 0x00007fac3b5d2637 in QMetaObject::activate (sender=sender@entry=0xbf7fb00, m=m@entry=0x7fac3ce6d500 <KJob::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fff10159a10) at kernel/qobject.cpp:3578
#37 0x00007fac3cc1ed92 in KJob::result (this=this@entry=0xbf7fb00, _t1=_t1@entry=0xbf7fb00) at /usr/src/debug/kcoreaddons-5.21.0/build/src/lib/moc_kjob.cpp:555
#38 0x00007fac3cc1f7d1 in KJob::finishJob (this=this@entry=0xbf7fb00, emitResult=emitResult@entry=true) at /usr/src/debug/kcoreaddons-5.21.0/src/lib/jobs/kjob.cpp:109
#39 0x00007fac3cc1f7ea in KJob::emitResult (this=this@entry=0xbf7fb00) at /usr/src/debug/kcoreaddons-5.21.0/src/lib/jobs/kjob.cpp:293
#40 0x00007fac3a0dff33 in Akonadi::JobPrivate::delayedEmitResult (this=<optimized out>) at /usr/src/debug/kdepimlibs-15.12.3/akonadi/src/core/jobs/job.cpp:153
#41 Akonadi::Job::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/kdepimlibs-15.12.3/build/akonadi/src/core/moc_job.cpp:108
#42 0x00007fac3b5d2c29 in QObject::event (this=0xbf7fb00, e=<optimized out>) at kernel/qobject.cpp:1239
#43 0x00007fac3c4d987c in QApplicationPrivate::notify_helper (this=this@entry=0xb90630, receiver=receiver@entry=0xbf7fb00, e=e@entry=0xbf7fb30) at kernel/qapplication.cpp:3716
#44 0x00007fac3c4de986 in QApplication::notify (this=0x7fff1015a210, receiver=0xbf7fb00, e=0xbf7fb30) at kernel/qapplication.cpp:3499
#45 0x00007fac3b5a4bf3 in QCoreApplication::notifyInternal (this=0x7fff1015a210, receiver=0xbf7fb00, event=event@entry=0xbf7fb30) at kernel/qcoreapplication.cpp:965
#46 0x00007fac3b5a6f16 in QCoreApplication::sendEvent (event=0xbf7fb30, receiver=<optimized out>) at kernel/qcoreapplication.h:224
#47 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0xb8da60) at kernel/qcoreapplication.cpp:1593
#48 0x00007fac3b5a73f8 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1451
#49 0x00007fac3b5f7fe3 in postEventSourceDispatch (s=0xb8fd30) at kernel/qeventdispatcher_glib.cpp:271
#50 0x00007fac335fb197 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#51 0x00007fac335fb3c8 in ?? () from /usr/lib64/libglib-2.0.so.0
#52 0x00007fac335fb46c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#53 0x00007fac3b5f83ef in QEventDispatcherGlib::processEvents (this=0xbedba0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#54 0x00007fac3b5a253a in QEventLoop::exec (this=this@entry=0x7fff10159f80, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#55 0x00007fac3b5aa1fd in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1229
#56 0x00007fac3bae053c in QGuiApplication::exec () at kernel/qguiapplication.cpp:1529
#57 0x00007fac3c4d5f25 in QApplication::exec () at kernel/qapplication.cpp:2976
#58 0x0000000000404f3d in main (argc=1, argv=0x7fff1015a358) at /usr/src/debug/kdepim-15.12.3/kontact/src/main.cpp:221

Possible duplicates by query: bug 356116.

Reported using DrKonqi
Comment 1 Christoph Feck 2016-12-20 18:22:19 UTC
*** Bug 356116 has been marked as a duplicate of this bug. ***
Comment 2 Christoph Feck 2016-12-20 18:22:47 UTC
*** Bug 371759 has been marked as a duplicate of this bug. ***
Comment 3 Christoph Feck 2016-12-20 18:23:08 UTC
*** Bug 373729 has been marked as a duplicate of this bug. ***
Comment 4 Christoph Feck 2016-12-20 18:23:40 UTC
*** Bug 361631 has been marked as a duplicate of this bug. ***
Comment 5 Christoph Feck 2016-12-20 18:24:42 UTC
No duplicates from version 5.2 or newer. Can you confirm this issue is fixed in recent KDEPIM versions?
Comment 6 Matthias Kretz 2016-12-21 07:50:48 UTC
I can reproduce the issue every time I do:
* open composer
* press "Select" button for To/CC/BCC address
* crash.

kmail, kontact, and akonadiserver report version 5.4.0 (I have a KDE neon User Edition 5.8 installation).
Comment 7 Christian Trippe 2017-05-05 17:35:30 UTC
I hid the bug today several times in the same way as described comment 6 under kmail/kontact from the KDE Application 17.04.0 release.
Comment 8 Christoph Feck 2017-08-01 22:14:34 UTC
*** Bug 382804 has been marked as a duplicate of this bug. ***
Comment 9 Christoph Feck 2017-09-27 14:01:46 UTC
*** Bug 384480 has been marked as a duplicate of this bug. ***
Comment 10 Geoffrey 2017-09-29 01:37:09 UTC
I set up Kmail and my address book for the first time syncing with my google contacts. I added a contact to the address book.  When I selected it from within Kmail, Kmail crashed.  When I removed the new address from the address book, I could select any existing address from Kmail without crashing.  The problem also happens from adding a contact from the context menu on the senders address of a received email.
Comment 11 Christoph Feck 2017-10-04 17:34:56 UTC
*** Bug 384693 has been marked as a duplicate of this bug. ***
Comment 12 Christoph Feck 2017-10-04 17:35:23 UTC
*** Bug 385197 has been marked as a duplicate of this bug. ***
Comment 13 Christoph Feck 2017-10-04 17:35:51 UTC
*** Bug 383106 has been marked as a duplicate of this bug. ***
Comment 14 Christoph Feck 2017-10-04 17:36:15 UTC
*** Bug 380481 has been marked as a duplicate of this bug. ***
Comment 15 Christoph Feck 2017-10-04 17:37:49 UTC
*** Bug 378329 has been marked as a duplicate of this bug. ***
Comment 16 Matthias Kretz 2017-10-05 09:27:18 UTC
FWIW, I'm on KMail/Kontact 5.5.3, akonadiserver 5.5.3, KDE neon User Edition 5.10, and I'm not seeing the crash anymore.
I have not replaced config files, Mail storage, or anything else. Just regular updates through KDE neon.
Comment 17 Geoffrey 2017-10-06 03:13:47 UTC
I updated kmail, kontact and akonadiserver to 5.4.3 (I would like to know how to update to 5.5.3) and it still crashes on select  recipients.
Comment 18 Christoph Feck 2017-10-12 18:35:24 UTC
*** Bug 385123 has been marked as a duplicate of this bug. ***
Comment 19 Christoph Feck 2017-12-20 15:18:07 UTC
*** Bug 387152 has been marked as a duplicate of this bug. ***
Comment 20 Christoph Feck 2017-12-20 15:18:41 UTC
*** Bug 378880 has been marked as a duplicate of this bug. ***
Comment 21 Christoph Feck 2017-12-20 15:19:29 UTC
*** Bug 377079 has been marked as a duplicate of this bug. ***
Comment 22 Christoph Feck 2017-12-20 15:20:04 UTC
*** Bug 377061 has been marked as a duplicate of this bug. ***
Comment 23 Christoph Feck 2018-01-10 17:39:59 UTC
*** Bug 388117 has been marked as a duplicate of this bug. ***
Comment 24 Denis Kurz 2018-01-31 16:14:31 UTC
You might want to consider if this was caused by a Qt bug that was resolved fixed in 5.8, as described in Bug 361895, Comment 1.
Comment 25 Christoph Feck 2018-08-18 10:11:11 UTC
*** Bug 396884 has been marked as a duplicate of this bug. ***
Comment 26 Christoph Feck 2018-08-18 10:11:48 UTC
Still happens with Qt 5.9.4, see recent duplicate.
Comment 27 Justin Zobel 2020-12-17 05:39:02 UTC
Thank you for the crash report.

As it has been a while since this was reported, can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved.

I have set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved/worksforme" when you respond, thank you.
Comment 28 Michael Brach 2020-12-17 07:07:04 UTC
Dear Justin,
I could but now cannot replicate the bug, because I changed the system 
an do not work with kontact anymore.
Kind regards,
Michael

Am 17.12.20 um 06:39 schrieb Justin Zobel:
> https://bugs.kde.org/show_bug.cgi?id=362817
> 
> Justin Zobel <justin.zobel@gmail.com> changed:
> 
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>           Resolution|---                         |WAITINGFORINFO
>               Status|REPORTED                    |NEEDSINFO
> 
> --- Comment #27 from Justin Zobel <justin.zobel@gmail.com> ---
> Thank you for the crash report.
> 
> As it has been a while since this was reported, can you please test and confirm
> if this issue is still occurring or if this bug report can be marked as
> resolved.
> 
> I have set the bug status to "needsinfo" pending your response, please change
> back to "reported" or "resolved/worksforme" when you respond, thank you.
>
Comment 29 Bug Janitor Service 2021-01-01 04:35:33 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 30 Christoph Feck 2021-01-09 16:17:45 UTC
Thanks for the update; changing status.